package moneroutil

import (
	"bytes"
	"testing"
)

func TestEncodeDecodeMoneroBase58Bounds(t *testing.T) {
	data := make([]byte, 2048)
	for i := range data {
		data[i] = 0xff
	}
	if bytes.Compare(DecodeMoneroBase58(EncodeMoneroBase58(data)), data) != 0 {
		t.Fatal()
	}
}
